Discover what SOLIDWORKS users are discussing.
Categories:
Sort:
Batch Reload Drawing Sheet Format Sharing a macro for batch reloading of drawing sheet format. Here are some main points of the macro:
SOLIDWORKS Forums
22 minutes ago
Macro features in SOLIDWORKS are extremely powerful functionality which can make great improvements of user experience and solve complex tasks. I'm releasing another addition to SwEx family of frameworks (SwEx.AddInandSwEx.PMPage) SwEx.MacroFeaturewhich is free and open source and provides data model driven approach of working with macro features.
SOLIDWORKS Forums
5 hours ago
I have dimension in sketch as D1@Sketch1 and this dimension value is 50. I want to change D1@Sketch1's Value as NewDiameter. NewDiameter is global variable name and NewDiameter 's value is 40. My code isnt working.
SOLIDWORKS Forums
19 hours ago
So I have the following macro which automates the "save as DWG" operation by also configuring specific options and then creates a directory to store the DWG file in. This macro works 100% of the time when the "Export" folder doesn't already exist. But when the "Export" folder already exists, the script may run successfully, but sometimes, it errors out at the following line...
SOLIDWORKS Forums
1 day ago
GetPreviewBitmap with Document Manager I'm writing a C# application that uses Document Manager to analyze parts and assemblies and I want to show the preview bitmap of each file. Here is a code snippet (swDoc is a SolidWorks part or assembly file already opened with Document Manager):
SOLIDWORKS Forums
1 day ago
Long time "listener", first time "caller". I haven't done any coding in well over 15 years. I have attached one of the files I am trying to parse out the filename to only include the numbers, i.e.
SOLIDWORKS Forums
2 days ago
So if I use Debug.Print(swSheetName) the console output of that should be Sheet ,sheetmetal macro
SOLIDWORKS Forums
2 days ago
I have a series of Library Feature Parts that I would like to assign to buttons in the Command Manager under a custom tab. This is because the Design Library itself is so overwhelmed with folder structure, that it doesn't make sense to bury it in there. Also, I intend to convert these into Macro Features in the future, so having the buttons already assigned and visible would be an easy transition in the future as well (once I get more comfortable with Macro Features).
SOLIDWORKS Forums
2 days ago
In the line> names = swCustPropMgr.GetNames ,run-time error
SOLIDWORKS Forums
2 days ago
Unfortunately I don't think that we have a directAPIthat will suppress that particular popup. swApp.SetUserPreferenceToggle 999999, True
SOLIDWORKS Forums
2 days ago
"Batch Add Item References Example (VB.NET)" (API-Help) Prabaharan PichaiyanDec 11, 2018 10:28 PM(in response to Prabaharan Pichaiyan) Michael SpensEmployeeDec 12, 2018 5:48 PM(in response to Prabaharan Pichaiyan) LaunchApp Method (IEdmSearch7)
SOLIDWORKS Forums
2 days ago
I have written an stand alone application that accesses and utilizes a few template cards. This application works fine while I am debugging it on my work station, however when I move the website (Internal only) over to the server I get an error ( ) when it tries to log in. I can log into the server as the account running the website and open the vault with no problems, I have added the user to the admins group to see if it is a permissions issue - nothing changes.
SOLIDWORKS Forums
2 days ago
I have created a macro that exports an image from SolidWorks to file and then copies it to the clipboard using Microsoft Excel in the background. This allows me to then quickly paste the image into emails and documents. Set xl = GetObject(, "Excel.Application") ' Excel is open
SOLIDWORKS Forums
2 days ago
In the process of Drawing Automation using Solidworks vb.net API we are facing one major hurdle regarding dimensioning. For the drawing automation we are generating the drawings using a pre-drafted drawing of a parametric 3D Model. However, when the 3D Part/Assembly gets updated in Solidworks, the views get updated as required but the dimensions are misplaced/ overlapped on each other (Please refer below Screenshots).
SOLIDWORKS Forums
2 days ago
Is there any one who knows these sentences and what does it mean to insert six numbers on the datum?(4,0,1,0,0,0)and(2.60080387698074E-04, 2.78044183819302E-04, 2.05051604612015E-04) boolstatus = Part.Extension.SelectByID2("", "EXTSKETCHPOINT", 0, 0.000284, 0.000075, True, 0, Nothing, 0)
SOLIDWORKS Forums
3 days ago
I am trying to useGetLinearizedStressValueswith some consistency through the API. However i have difficulty with getting the right coordinates to use. In thesamplethey just insert static coordinates. I have tried setting up some reference point/reference axis to get the coordinates.
SOLIDWORKS Forums
3 days ago
I want to be able to run a pressure vessel study through the api. However, unfortunately ICWStudy.RunAnalysis() fails if the studies it depends on are out of date. I would expect that it simply runs the required studies but unfortunately that is not the case. I was thinking i could find and run the dependent studies but i cant find anywhere in the API that gives me information on the dependent studies.
SOLIDWORKS Forums
3 days ago
activate advanced selection inside macro I'm trying to write a macro that activates an Advances Selection query I have that hides some components prior to saving off STEP files. I'm having trouble as the documentation mentions a .sqy file, but I'm getting a XML file when exporting my set up advanced selection?
SOLIDWORKS Forums
3 days ago
I have a Problem with the SelectionSet over the API. I Get the SelectionSetFolder and the SelectionSet name. could you post the code you have so far.
SOLIDWORKS Forums
3 days ago
For example ,when a vertex's visible is true .But when it cover by a surface in swModelView ,it can not show to my eye(except the surface is transpacent). Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
3 days ago
I have the same problem of this thread:https://forum.solidworks.com/thread/93844 Function CheckSubPart(swModelDoc As SldWorks.ModelDoc2, sFileNameCode As String) As Boolean CheckSubPart = False ' E' stato classificato come pezzo. Dim swFeat As SldWorks.Feature Dim FeatDefinition As SldWorks.DerivedPartFeatureData Dim sFeatName As String Dim sFeatType As String Dim bSkipImportSurf As Boolean Set swFeat = swModelDoc.FirstFeature bSkipImportSurf = False While Not swFeat Is Nothing sFeatName =
SOLIDWORKS Forums
3 days ago
Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
3 days ago
I can use "ModelDoc2.SelectByRay" correctly in a Part document. But when I use the same code in Assemlby document ,it is unsuccessful. 'Here is the code in vba====================================
SOLIDWORKS Forums
3 days ago
So that ,the user can select the entity when the distance between cursor and entity is less than PickRadius. Jive Software Version: 2018.10.0.1_jx, revision: 20181102150941.22e8dc7.release_2018.10.0-jx
SOLIDWORKS Forums
3 days ago